Activity log for bug #851612

Date Who What changed Old value New value Message
2011-09-16 06:27:28 Rick Spencer bug added bug
2011-09-16 06:28:46 Rick Spencer summary Logging out from a FUSA session does not reliably return to VT7 Logging out from a FUS session does not reliably return to VT7
2011-09-16 06:34:49 Robert Ancell lightdm (Ubuntu): status New Triaged
2011-09-16 06:34:50 Robert Ancell lightdm (Ubuntu): importance Undecided High
2011-09-16 06:53:37 Hernando Torque bug added subscriber Hernando Torque
2011-09-21 20:50:49 Sebastien Bacher nominated for series Ubuntu Oneiric
2011-09-21 20:50:49 Sebastien Bacher bug task added lightdm (Ubuntu Oneiric)
2011-09-21 20:51:07 Sebastien Bacher lightdm (Ubuntu Oneiric): assignee Robert Ancell (robert-ancell)
2011-09-22 07:41:38 Robert Ancell lightdm (Ubuntu Oneiric): milestone ubuntu-11.10
2011-09-29 19:58:16 Kate Stewart tags apport-bug i386 oneiric running-unity apport-bug i386 oneiric rls-mgr-o-tracking running-unity
2011-09-30 11:53:05 Sebastien Bacher bug task added lightdm
2011-10-06 01:09:51 Robert Ancell lightdm: status New Triaged
2011-10-06 01:09:52 Robert Ancell lightdm: importance Undecided High
2011-10-07 06:19:09 Martin Pitt lightdm (Ubuntu Oneiric): milestone ubuntu-11.10 oneiric-updates
2011-10-15 19:37:15 Takkat bug added subscriber Takkat
2011-10-16 20:31:25 Pierre bug added subscriber Pierre
2011-10-18 03:32:43 Pierce Gerhart bug added subscriber Pierce Gerhart
2011-10-19 22:36:56 Thony06 bug added subscriber Thony06
2011-10-25 15:43:45 Sebastien Bacher bug task added xorg-server (Ubuntu)
2011-10-25 15:44:01 Sebastien Bacher bug added subscriber Chris Halse Rogers
2011-10-25 15:44:04 Sebastien Bacher xorg-server (Ubuntu): importance Undecided High
2011-10-25 15:44:07 Sebastien Bacher xorg-server (Ubuntu Oneiric): importance Undecided High
2011-11-08 11:13:56 Launchpad Janitor xorg-server (Ubuntu): status New Confirmed
2011-11-08 11:13:56 Launchpad Janitor xorg-server (Ubuntu Oneiric): status New Confirmed
2011-12-09 02:19:45 Anthony Hook bug added subscriber Anthony Hook
2011-12-09 06:59:09 Martin Pitt lightdm (Ubuntu): milestone oneiric-updates ubuntu-12.04-beta-1
2011-12-12 19:30:51 Rufus bug added subscriber Rufus K.
2012-01-31 06:49:40 Robert Ancell lightdm: status Triaged Fix Committed
2012-01-31 06:49:43 Robert Ancell lightdm (Ubuntu): status Triaged Fix Committed
2012-01-31 06:49:48 Robert Ancell lightdm: assignee Robert Ancell (robert-ancell)
2012-02-03 22:39:47 Bryce Harrington xorg-server (Ubuntu): assignee Chris Halse Rogers (raof)
2012-02-03 22:39:51 Bryce Harrington xorg-server (Ubuntu): status Confirmed Triaged
2012-02-10 06:17:17 Launchpad Janitor branch linked lp:~ubuntu-desktop/lightdm/ubuntu
2012-02-10 06:35:13 Launchpad Janitor lightdm (Ubuntu): status Fix Committed Fix Released
2012-02-10 07:09:22 Launchpad Janitor branch linked lp:ubuntu/lightdm
2012-02-10 08:17:29 Robert Ancell lightdm (Ubuntu): status Fix Released Triaged
2012-03-02 06:52:37 Martin Pitt lightdm (Ubuntu): milestone ubuntu-12.04-beta-1 ubuntu-12.04-beta-2
2012-03-14 03:33:35 Anthony Wong bug added subscriber Anthony Wong
2012-03-14 03:36:13 Anthony Wong bug added subscriber Canonical Hardware Enablement Team
2012-03-14 03:36:17 Anthony Wong tags apport-bug i386 oneiric rls-mgr-o-tracking running-unity apport-bug blocks-hwcert-enablement i386 oneiric rls-mgr-o-tracking running-unity
2012-03-14 03:36:34 Anthony Wong nominated for series Ubuntu Precise
2012-03-16 09:23:31 Shih-Yuan Lee attachment added lightdm_patch_for_oneiric.debdiff https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/851612/+attachment/2879830/+files/lightdm_patch_for_oneiric.debdiff
2012-03-16 09:55:06 Shih-Yuan Lee bug added subscriber Shih-Yuan Lee
2012-03-16 12:11:26 Ubuntu Foundations Team Bug Bot tags apport-bug blocks-hwcert-enablement i386 oneiric rls-mgr-o-tracking running-unity apport-bug blocks-hwcert-enablement i386 oneiric patch rls-mgr-o-tracking running-unity
2012-03-16 12:11:36 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Sponsors Team
2012-03-22 18:48:12 Bryce Harrington description Steps: 1. Have a multi-user system 2. Start up and log in as a user 3. Use the Use Menu to switch to another user 4. You will be at the Unity Greeter, log in as the second user 5. The second user session will load 6. Choose Log Out from the power/setting menu 7. You will be at the Unity Greeter 8. select and enter the password for the logged in user Result: The screen turns black and shows a blinking cursor Manually switching to VT7 shows the first user session, and works fine Expected: Automatically returned to VT7 after entering the password for the first user ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: lightdm 0.9.7-0ubuntu1 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic i686 NonfreeKernelModules: wl ApportVersion: 1.23-0ubuntu1 Architecture: i386 Date: Fri Sep 16 08:19:11 2011 InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329) ProcEnviron: LANGUAGE=en_US:en PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash SourcePackage: lightdm UpgradeStatus: Upgraded to oneiric on 2011-09-11 (4 days ago) [Impact] <fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release> [Development Fix] <fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. > [Stable Fix] <fill me in by pointing out a minimal patch applicable to the stable version of the package.> [Text Case] <fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.> 1. 2. 3. Broken Behavior: Fixed Behavior: [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected. [Original Report] Steps: 1. Have a multi-user system 2. Start up and log in as a user 3. Use the Use Menu to switch to another user 4. You will be at the Unity Greeter, log in as the second user 5. The second user session will load 6. Choose Log Out from the power/setting menu 7. You will be at the Unity Greeter 8. select and enter the password for the logged in user Result: The screen turns black and shows a blinking cursor Manually switching to VT7 shows the first user session, and works fine Expected: Automatically returned to VT7 after entering the password for the first user ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: lightdm 0.9.7-0ubuntu1 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic i686 NonfreeKernelModules: wl ApportVersion: 1.23-0ubuntu1 Architecture: i386 Date: Fri Sep 16 08:19:11 2011 InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329) ProcEnviron:  LANGUAGE=en_US:en  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: lightdm UpgradeStatus: Upgraded to oneiric on 2011-09-11 (4 days ago)
2012-03-22 21:19:52 Bryce Harrington description [Impact] <fill me in with explanation of severity and frequency of bug on users and justification for backporting the fix to the stable release> [Development Fix] <fill me in with an explanation of how the bug has been addressed in the development branch, including the relevant version numbers of packages modified in order to implement the fix. > [Stable Fix] <fill me in by pointing out a minimal patch applicable to the stable version of the package.> [Text Case] <fill me in with detailed *instructions* on how to reproduce the bug. This will be used by people later on to verify the updated package fixes the problem.> 1. 2. 3. Broken Behavior: Fixed Behavior: [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected. [Original Report] Steps: 1. Have a multi-user system 2. Start up and log in as a user 3. Use the Use Menu to switch to another user 4. You will be at the Unity Greeter, log in as the second user 5. The second user session will load 6. Choose Log Out from the power/setting menu 7. You will be at the Unity Greeter 8. select and enter the password for the logged in user Result: The screen turns black and shows a blinking cursor Manually switching to VT7 shows the first user session, and works fine Expected: Automatically returned to VT7 after entering the password for the first user ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: lightdm 0.9.7-0ubuntu1 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic i686 NonfreeKernelModules: wl ApportVersion: 1.23-0ubuntu1 Architecture: i386 Date: Fri Sep 16 08:19:11 2011 InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329) ProcEnviron:  LANGUAGE=en_US:en  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: lightdm UpgradeStatus: Upgraded to oneiric on 2011-09-11 (4 days ago) [Problem] Logging out of a second user session results in a black screen with blinking cursor, until you manually switch to vt7. Might also be caused when screen is locked because of inactivity. [Impact] Frequency of occurrence may be about 1 in 4. Not a hardware-specific problem, so can be encountered by most users. [Development Fix] Adding a VT_WAITACTIVE after the VT_ACTIVATE ioctl helps reduce the chance of a race condition between LightDM, the kernel, ConsoleKit, and X, but is not a complete solution. This change was introduced to Precise as of version 1.1.2-0ubuntu1 on Feb 10th. [Stable Fix] The development change was not a complete fix. Thus the change is not valid for SRUing. [Text Case] 1. Have a multi-user system 2. Start up and log in as a user 3. Use the User Menu to switch to another user 4. You will be at the Unity Greeter, log in as the second user 5. The second user session will load 6. Choose Log Out from the power/setting menu 7. You will be at the Unity Greeter 8. select and enter the password for the logged in user Broken Behavior: The screen turns black and shows a blinking cursor Manually switching to VT7 shows the first user session, and works fine Fixed Behavior: Automatically returned to VT7 after entering the password for the first user [Regression Potential] <fill me in with a discussion of likelihood and potential severity of regressions and how users could get inadvertently affected. [Original Report] Steps: 1. Have a multi-user system 2. Start up and log in as a user 3. Use the Use Menu to switch to another user 4. You will be at the Unity Greeter, log in as the second user 5. The second user session will load 6. Choose Log Out from the power/setting menu 7. You will be at the Unity Greeter 8. select and enter the password for the logged in user Result: The screen turns black and shows a blinking cursor Manually switching to VT7 shows the first user session, and works fine Expected: Automatically returned to VT7 after entering the password for the first user ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: lightdm 0.9.7-0ubuntu1 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic i686 NonfreeKernelModules: wl ApportVersion: 1.23-0ubuntu1 Architecture: i386 Date: Fri Sep 16 08:19:11 2011 InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329) ProcEnviron:  LANGUAGE=en_US:en  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: lightdm UpgradeStatus: Upgraded to oneiric on 2011-09-11 (4 days ago)
2012-03-22 21:20:01 Bryce Harrington removed subscriber Ubuntu Sponsors Team
2012-03-27 06:17:42 Keng-Yu Lin bug added subscriber Keng-Yu Lin
2012-03-28 01:29:41 Bryce Harrington xorg-server (Ubuntu Oneiric): status Confirmed Triaged
2012-03-30 05:20:24 Martin Pitt lightdm (Ubuntu): milestone ubuntu-12.04-beta-2 ubuntu-12.04
2012-04-18 03:52:02 Jesse Sung bug added subscriber Jesse Sung
2012-04-30 21:47:52 Bryce Harrington bug task added lightdm (Ubuntu Precise)
2012-04-30 21:47:52 Bryce Harrington bug task added xorg-server (Ubuntu Precise)
2012-10-12 16:20:36 Launchpad Janitor lightdm (Ubuntu Precise): status New Confirmed
2012-10-12 16:20:36 Launchpad Janitor xorg-server (Ubuntu Precise): status New Confirmed
2012-10-31 19:14:44 Pierce Gerhart removed subscriber Pierce Gerhart
2012-11-25 19:51:31 Richard Hansen bug added subscriber a7x
2012-12-03 15:19:42 Martin Bříza bug added subscriber Martin Bříza
2013-01-06 17:18:10 jhoechtl bug watch added https://bugzilla.redhat.com/show_bug.cgi?id=859347
2013-01-07 21:18:23 Rufus removed subscriber Rufus K.
2013-01-25 06:23:41 Johannes Storm bug added subscriber Johannes Storm
2013-05-23 19:36:52 Anthony Wong xorg-server (Ubuntu Oneiric): status Triaged Won't Fix
2013-05-23 19:36:56 Anthony Wong lightdm (Ubuntu Oneiric): status Triaged Won't Fix
2016-04-05 00:35:23 Robert Ancell lightdm: status Fix Committed Fix Released
2016-04-05 00:35:32 Robert Ancell lightdm (Ubuntu Oneiric): assignee Robert Ancell (robert-ancell)
2016-04-05 00:35:39 Robert Ancell bug task deleted xorg-server (Ubuntu)
2016-04-05 00:35:44 Robert Ancell bug task deleted xorg-server (Ubuntu Oneiric)
2016-04-05 00:35:49 Robert Ancell bug task deleted xorg-server (Ubuntu Precise)
2016-04-05 00:36:04 Robert Ancell lightdm (Ubuntu): status Triaged Fix Released
2016-04-05 00:36:10 Robert Ancell bug task deleted lightdm (Ubuntu Oneiric)
2016-04-05 00:36:15 Robert Ancell bug task deleted lightdm (Ubuntu Precise)